criticalmass (1:1.0.2-5) unstable; urgency=medium

  * Bump Standards-Version to 4.7.3 (Remove priority field).
  * Remove Rules-Requires-Root control field.
  * Change back build dependency to libsdl1.2-dev.
  * Update debian/watch to version 5.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 20 Feb 2026 08:51:52 +0100

criticalmass (1:1.0.2-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2.
  * Use libsdl1.2-compat-dev.
    Closes: #1038176
  * Fix lintian warning build-depends-on-obsolete-package.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 06 Jul 2023 10:42:20 +0200

criticalmass (1:1.0.2-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1.
  * Adjust renamed lintian tag name in override.
  * Adjust lintian overrides.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 14 Sep 2022 14:37:28 +0200

criticalmass (1:1.0.2-2) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
    - Add no required files to debian/not-installed.
  * Update debian/watch file standard to version 4.
  * Add forwarded headers to debian/patches/.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:56:40 +0100

criticalmass (1:1.0.2-1) unstable; urgency=medium

  * New upstream release.
    - Rework the whole packaging.
  * Remove extra whitespaces from debian/changelog.
  * Adjust debian/watch so that only releases with two dots are monitored.
  * Bump Standards-Version to 4.5.0.
  * Use debhelper-compat level 12.
  * Add patch 10-manpage-whatis-entry.
  * Add manpage for Packer.
  * Upgrade criticalmass-data suggest on criticalmass to recommends.
  * Add doc-base file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 22 Jan 2020 09:44:39 +0100

criticalmass (1:1.0.0-7) unstable; urgency=medium

  * Adopt package.
    Closes: #738892

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 20 Jan 2020 12:07:52 +0100

criticalmass (1:1.0.0-6) unstable; urgency=medium

  * QA upload.
  * Convert to dh build.
  * Bump Standards-Version to 4.1.0.
    - Drop obsolete menu file
  * Enable all hardening options.
    - Add patch to honour CXXFLAGS
  * Support proper autoreconfiguring
    - Drop unneeded autogen patch
    - Initialize automake correctly
  * Remove ancient postrm / preinst that converted doc symlink to directory.
  * Create resource.dat with sorted file list to allow reproducible building.
  * Move .desktop file from criticalmass-data to criticalmass binary package.
    - Add corresponding Breaks / Replaces
  * Add watch file.
  * Add missing patch headers.
  * Drop unnecessary criticalmass-data.dirs file.
  * Fix spelling error found by lintian.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 19 Sep 2017 16:00:22 +0200

criticalmass (1:1.0.0-5) unstable; urgency=medium

  * QA upload.
  * Force building with the older gnu++98 standard.
    Thanks to Adrian Bunk for the patch. (Closes: #811816)
  * Switch to compat level 10.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.8.
  * Remove obsolete Replaces field and drop g++ build-dependency.
  * criticalmass.desktop: Add keywords and a comment in German.

 -- Markus Koschany <apo@debian.org>  Sat, 08 Oct 2016 21:43:58 +0200

criticalmass (1:1.0.0-4) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with libpng16, depend on libpng-dev (closes: #809863).
  * Build autoconfage from source (needed to detect libpng16).
  * Use system libcurl (closes: #599061).
  * Add build-arch and build-indep targets.
  * Properly use zlib encludes.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 12 Jan 2016 10:12:01 +0100

criticalmass (1:1.0.0-3) unstable; urgency=medium

  * QA upload.
  * Remove puckman/Makefile and utilities/Makefile by hand.
  * debian/generated-files.txt: Files generated by ./configure.
  * debian/rules: Remove those files in the clean target.
  * Switch to "3.0 (quilt)" source format.
  * debian/patches/do-not-embed-the-build-date: New patch.
    Change game/OnlineUpdate.cpp and game/main.cpp to stop using
    __DATE__ and __TIME__. This should make the build reproducible.
  * Switch to pristine source in tar.bz2 format.

 -- Santiago Vila <sanvila@debian.org>  Sat, 05 Sep 2015 13:15:26 +0200

criticalmass (1:1.0.0-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.
  * Acknowledge NMU (Closes: #580729).
  * Use autotools-dev to update config.{sub,guess} for new arches (Closes:
    #733474).
  * Update the Homepage: field to the project one (Closes: #348275).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 05 Oct 2014 01:33:56 +0200

criticalmass (1:1.0.0-1.5) unstable; urgency=low

  * Non-maintainer upload.
  * d/control: Add missing libpng12-dev to Build-Depends,
    fixes FTBFS. (Closes: #669553)
  * d/criticalmass.desktop, d/critter.xpm, d/menu,
    d/criticalmass-data.dirs, d/criticalmass-data.install:
    - Added a .desktop file and updated menu file.
    - Installed provided png file, and generated xpm icon.
    - Above changes merged from Ubuntu. (Closes: #448326, #666174)

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 05 May 2012 22:49:42 +0200

criticalmass (1:1.0.0-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Build-Depends
    - replace xlibmesa-dev to libgl1-mesa-dev (Closes: #581825)

 -- tony mancill <tmancill@debian.org>  Sun, 16 May 2010 13:30:07 -0700

criticalmass (1:1.0.0-1.3) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
  * debian/compat
    - New file; value 7.
  * debian/control
    - (Build-Depends): remove obsolete libglu1-xorg-dev
      (important; Closes: #578969). Add autotools-dev due to new
      config.* files.
  * debian/control
    - Delete EOL whitespaces.
    - (Build-Depends): Update to debhelper 7.1. Remove all "*-N"
      suffixes from dependencies (W: Lintian).
    - (Depends): add ${misc:Depends}.
    - (Homepage): Add new field.
    - (Standards-Version): Update from ancient 3.6.1.0 to 3.8.4.
  * debian/menu:
    - (seaction): Change unknown "Arcade" to "Adventure".
  * debian/rules
    - (DH_COMPAT): Remove, use debian/compat instead.
    - (clean): Fix debian-rules-ignores-make-clean-error.
    - (configure-stamp): Use latest config.* files.
      (FTBFS; Closes: #550110).
    - (install): Change ch_clean with dh_prep.

 -- Jari Aalto <jari.aalto@cante.net>  Sun, 02 May 2010 21:49:33 +0300

criticalmass (1:1.0.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix gcc-4.3 FTBFS, patch by Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr> (Closes: #455156)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sun, 16 Mar 2008 17:11:36 +0100

criticalmass (1:1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make binNMU safe (Closes: #432982).
  * Fix FTBFS with GCC 4.3 (Closes: #417135).

 -- Luk Claes <luk@debian.org>  Sat, 01 Sep 2007 14:55:46 +0000

criticalmass (1:1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Thu,  5 Jan 2006 19:22:35 -0800

criticalmass (1:0.9.12-5) unstable; urgency=low

  * Downgrade criticalmass-data's Dependency on criticalmass to a
    Suggests. (Closes: #339903)
  * Give criticalmass-data a real doc directory and remove the symlink
    from old versions on upgrade.
  * Explicitly remove curl/config.{log,status} in
    the clean target, as they seem to get included
    when pdebuild is used.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 20 Nov 2005 16:33:38 -0800

criticalmass (1:0.9.12-4) unstable; urgency=low

  * Update upstream's email in debian/copyright.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 22 Oct 2005 13:18:12 -0700

criticalmass (1:0.9.12-3) unstable; urgency=low

  * Fix FTBFS on alpha. (Closes: #335115)

 -- Daniel Burrows <dburrows@debian.org>  Sat, 22 Oct 2005 12:21:33 -0700

criticalmass (1:0.9.12-2) unstable; urgency=low

  * Build-Depend on libglu1-xorg-dev instead of xlibmesa-dev.
    (Closes: #328162)

 -- Daniel Burrows <dburrows@debian.org>  Tue, 13 Sep 2005 16:11:44 -0700

criticalmass (1:0.9.12-1) unstable; urgency=low

  * New upstream release

  * Remove broken watch file (thanks, Sourceforge)

 -- Daniel Burrows <dburrows@debian.org>  Mon, 12 Sep 2005 08:07:54 -0700

criticalmass (1:0.9.11-2) unstable; urgency=low

  * Fix ambiguous calls to findHash (Closes: #319972)
  * Build with g++-4.0 (Closes: #262324)

 -- Daniel Burrows <dburrows@debian.org>  Sun,  7 Aug 2005 12:49:05 -0700

criticalmass (1:0.9.11-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Thu, 28 Apr 2005 08:01:00 -0400

criticalmass (1:0.9.10-1) unstable; urgency=low

  * New upstream release.
  * Upstream made a weird change to the version scheme, so an epoch is needed.
  * debian/watch updated to version 2 and to the new version scheme (so that it
    won't pick the previous version up as being newest).

 -- Daniel Burrows <dburrows@debian.org>  Tue,  8 Feb 2005 20:40:14 -0500

criticalmass (0.99-2) unstable; urgency=low

  * Remove the menu entry for puckman, which was removed in 0.98.
    (Closes: #248930)
  * Gratuitous qutoing in the menu file to shut lintian up.

 -- Daniel Burrows <dburrows@debian.org>  Thu, 13 May 2004 20:09:30 -0400

criticalmass (0.99-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Mon, 15 Mar 2004 01:36:28 -0500

criticalmass (0.98-4) unstable; urgency=low

  * The "Daniel is an idiot" release.
  * Put data in /usr/share/games/criticalmass, not
    /usr/share/games/games/criticalmass.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 21 Feb 2004 22:34:44 -0500

criticalmass (0.98-3) unstable; urgency=low

  * Add a binary-indep rule.

  * Use debhelper v4, Build-Depends adjusted accordingly.

  * Remove the binary-independent data from the main package. (major doh!)

  * Fix: files in /debian (double major doh!)

  * Update the Standards-Version.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 21 Feb 2004 22:20:55 -0500

criticalmass (0.98-2) unstable; urgency=low

  * The "Let's bloat Packages.gz" release.
  * Created a package criticalmass-data for the architecture-independent
    data files in criticalmass. (Closes: #233336)
  * Added a menu entry for puckman. (Closes: #140735)
  * Moved /usr/share/Critical_Mass to /usr/share/games/criticalmass.

 -- Daniel Burrows <dburrows@debian.org>  Sat, 21 Feb 2004 21:14:54 -0500

criticalmass (0.98-1) unstable; urgency=low

  * New upstream release
  * Change shootemup to shoot-'em-up in Description, Closes: #124522

 -- Daniel Burrows <dburrows@debian.org>  Fri, 29 Aug 2003 22:18:15 -0400

criticalmass (0.97-3) unstable; urgency=low

  * Rebuild against g++-3.2.  This necessitated porting the code -- it's not
    a very clean port, and some warnings remain.  If upstream doesn't do a
    proper port, I might end up having to do it myself :(

 -- Daniel Burrows <dburrows@debian.org>  Thu,  9 Jan 2003 09:42:25 -0500

criticalmass (0.97-2) unstable; urgency=low

  * Rebuild with the new libsdl-image so it doesn't segfault on startup
    (now that libsdl-image uses libpng) Why didn't anyone report this?
    Build-dependency tightened accordingly for autobuilders.

 -- Daniel Burrows <dburrows@debian.org>  Sun, 21 Jul 2002 11:12:08 -0400

criticalmass (0.97-1) unstable; urgency=low

  * New upstream release

 -- Daniel Burrows <dburrows@debian.org>  Sun, 20 Jan 2002 21:23:30 -0500

criticalmass (0.96-2) unstable; urgency=low

  * D'oh.  Actually write in build-depends.  Finals week and packaging
  don't mix.  (Closes: #124257)

 -- Daniel Burrows <dburrows@debian.org>  Mon, 17 Dec 2001 11:13:01 -0500

criticalmass (0.96-1) unstable; urgency=low

  * Initial Release.  (Closes: #120406)

 -- Daniel Burrows <dburrows@debian.org>  Sun,  9 Dec 2001 12:15:54 -0500
